import * as autoscaling from '../../aws-autoscaling';
import * as sns from '../../aws-sns';
import { Construct } from 'constructs';
/**
 * Use an SNS topic as a hook target.
 *
 * @stability stable
 */
export declare class TopicHook implements autoscaling.ILifecycleHookTarget {
    private readonly topic;
    /**
     * @stability stable
     */
    constructor(topic: sns.ITopic);
    /**
     * Called when this object is used as the target of a lifecycle hook.
     *
     * @stability stable
     */
    bind(_scope: Construct, lifecycleHook: autoscaling.ILifecycleHook): autoscaling.LifecycleHookTargetConfig;
}
